@import 'antd/dist/antd.css';
// @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import '@near-wallet-selector/modal-ui/styles.css';

:root {
  --white: #fff;
  --black: #2c2b2b;
  --origin-black: #001221;
  --sub-black: #01031b;
  --sub-black-2: #23262f;
  --sub-black-3: #202229;
  --sub-black-4: #1c1e24;
  --orange: #f3aa3a;
  --yellow: #ffd166;
  --red: #ff6a6a;
  --red-2: #ff3333;
  --space-gray: #929191;
  --greenlight: #55d434;
  --green-dark: #2d3f33;
  --base-gray: #777e90;
  --sub-greenlight: #195908;
  --blue: #2196f3;
  --blue-sky: #4bc9f0;
  --black-transparent: rgb(146 145 145 / 23%);
  --white-transparent-5p: rgb(146 145 145 / 5%);
  --white-transparent-20p: rgb(146 145 145 / 20%);
  --gray-neutrals: #b1b5c4;
  --greenlightSecondary: #49e454;
  --black: #000000;
  --textgreen: #23ad2f;
  --red-brown: #482928;
  --base-gray-2: #b1b5c3;
  --f-light-green: #9ffbd6;
  --neutrals: #24262f;
  --smoke: #363a44;
  --hash-gray: #353945;
  --smoke-gray: #b3beca;
  --green-lott: #48e454;
  --green-lott-opacity-3: rgba(72, 228, 84, 0.3);
  --claim-color-black: #031220;
}

html {
  scroll-behavior: smooth;
}

html,
body {
  padding: 0;
  margin: 0;
  color: var(--white);
  /* // font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
  //   Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif; */
}
body {
  // background: rgb(3, 19, 15);
  // background: -moz-linear-gradient(
  //   0deg,
  //   rgba(3, 19, 15, 1) 0%,
  //   rgba(6, 35, 27, 1) 33%,
  //   rgba(6, 38, 28, 1) 65%,
  //   rgba(5, 36, 28, 1) 89%
  // );
  // background: -webkit-linear-gradient(
  //   0deg,
  //   rgba(3, 19, 15, 1) 0%,
  //   rgba(6, 35, 27, 1) 33%,
  //   rgba(6, 38, 28, 1) 65%,
  //   rgba(5, 36, 28, 1) 89%
  // );
  // background: linear-gradient(
  //   0deg,
  //   rgba(3, 19, 15, 1) 0%,
  //   rgba(6, 35, 27, 1) 33%,
  //   rgba(6, 38, 28, 1) 65%,
  //   rgba(5, 36, 28, 1) 89%
  // );
  // filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#03130f",endColorstr="#05241c",GradientType=1);
  // background-repeat: no-repeat;
  // background-attachment: fixed;
}

* {
  font-family: 'Poppins', sans-serif;
  // font-weight: 200;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  letter-spacing: 0.07rem;
}
*:focus {
  outline: none !important;
}
a {
  color: inherit !important;
  text-decoration: none;
}
input:focus,
select,
textarea {
  outline-width: 0 !important;
  -webkit-appearance: none !important;
  box-shadow: none !important;
  border-color: #ced4da !important; /* default B5 color or set your own color*/
  border: none !important; /* if you want to remove borders at all*/
  outline: none !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol {
  margin-bottom: 0 !important;
  color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
  font-size: 24px;
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
  display: none !important;
}

/* Hide scrollbar for IE, Edge and Firefox */
// * {
//   // -ms-overflow-style: none !important; /* IE and Edge */
//   scrollbar-width: 0.5px !important; /* Firefox */
// }

// #style-scrollBar::-webkit-scrollbar-track {
//   -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
//   background-color: rgb(33, 55, 49);
// }

// #style-scrollBar::-webkit-scrollbar {
//   width: 6px;
//   background-color: rgb(33, 55, 49);
// }

// #style-scrollBar::-webkit-scrollbar-thumb {
//   background-color: rgb(26, 28, 28);
// }

// #style-scrollBar::-webkit-scrollbar-thumb:horizontal {
//   background: rgb(26, 28, 28);
//   width: 6px;
//   border-radius: 10px;
// }

.wrapper {
  position: relative;
  max-width: 1300px;
  margin: auto;
}

.btn-feedback {
  position: fixed;
  right: 25px;
  bottom: 20px;
  z-index: 1000;
}
.feed-back-combine {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  .ant-back-top {
    line-height: 0;
    position: relative;
    top: -5px;
    right: 0;
    left: 0;
  }
}
// .ant-back-top {
//   bottom: 25px;
// }

.common-button {
  width: 180px;
  color: var(--white);
  background: rgb(255 255 255 / 6%);
  text-align: center;
  padding: 12px;
  border: 1px solid var(--greenlightSecondary);
  border-radius: 8px;
  transition: 0.4s all;
  cursor: pointer;
  font-weight: 500;
}

.common-button.yellow {
  border: 1px solid var(--yellow);
}

.common-button.gray {
  border: 1px solid var(--base-gray-2);
}

.common-button.disable {
  background-color: var(--hash-gray);
  border: 1px solid var(--hash-gray);
  color: #777e90;
  color: var(--base-gray);

  pointer-events: none;
}

.common-button:hover {
  background: var(--white);
  color: var(--black);
}
.common-button.disable:hover {
  background-color: var(--hash-gray);
  border: 1px solid var(--hash-gray);
  color: #777e90;
  color: var(--base-gray);
  cursor: not-allowed;
}

.cl-orange {
  color: var(--orange) !important;
}

.cl-yellow {
  color: var(--yellow) !important;
}

.cl-f-light-green {
  color: var(--textgreen) !important;
}
.fwb {
  font-weight: 500;
}
.big-title {
  font-size: 40px;
  padding-top: 100px;
  padding-bottom: 34px;
  text-align: center;
}

.load-more {
  margin-top: 15px;
  text-align: center;
  padding-bottom: 8px;
  display: flex;
  flex-direction: column;
  .label {
    font-weight: 500;
    display: block;
  }
  span.anticon.anticon-caret-down,
  span.anticon.anticon-caret-up {
    font-size: 25px;
  }
}

#detail-modal {
  .flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .head-info {
    width: 290px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .wrap-round-head {
      display: flex;
      align-items: center;
      h3 {
        margin-right: 4px;
      }
    }
    .ant-input-number {
      width: 60px;
      height: 29px;
      border-radius: 8px;
      .ant-input-number-input-wrap {
        height: inherit;
        input {
          height: inherit;
          outline: none;
          border: none;
          font-weight: bold;
        }
      }
    }
  }
  .input-custom {
    background: transparent;
    border: 2px solid var(--f-light-green);
    color: #fff;
    font-weight: bold;
    &:focus {
      border: 2px solid var(--f-light-green);
    }
  }
  .input-custom.ant-input-number-focused {
    border: 2px solid var(--f-light-green);
  }
  .fake-height {
    height: 22px;
  }
  .wrap-lott-number {
    padding: 8px 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--smoke);
    min-height: 120px;
    .btn {
      display: flex;
      align-items: center;
      border-radius: 50%;
      background: var(--base-gray);
      padding: 6px;
      cursor: pointer;
      transition: 0.4s all;
      &:hover {
        opacity: 0.7;
      }
    }
    .mid {
      margin: 0 17px 0 30px;
    }
    .side {
      display: flex;
    }
    .lott-number {
      font-size: 34px;
      display: flex;
      gap: 5px;
      justify-content: flex-start;
      align-items: center;
      .single-lott-number {
        font-size: 28px;
      }
    }
    .lott-controls {
      display: flex;
      background: var(--hash-gray);
      padding: 8px;
      border-radius: 53px;
    }

    .show-line {
      position: relative;
      &::before {
        content: '';
        width: 3px;
        height: 25px;
        background-color: var(--base-gray);
        top: 50%;
        transform: translateY(-50%);
        left: -16px;
        position: absolute;
        z-index: 2;
        border-radius: 14px;
      }
    }
  }
  .desc {
    padding: 30px 0 4px;
  }
  .wrap-price {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-bottom: 10px;
  }
  .wrap-board {
    padding: 14px;
    background-color: var(--black);
    border-radius: 14px;
    display: flex;
    flex-wrap: wrap;
    gap: 4%;
    .reward {
      min-width: 22%;
      font-size: 14px;
      margin-bottom: 16px;
      .title {
        font-weight: bold;
      }
    }
  }
}

.btn-disable {
  background: var(--smoke) !important;
  border: 1px solid var(--smoke) !important;
  color: var(--base-gray) !important;
  &:hover {
    opacity: 1 !important;
  }
  pointer-events: none;
  cursor: not-allowed !important;
}

.near-hash {
  &:hover {
    opacity: 0.8;
  }
  transition: 0.4s all;
  cursor: pointer;
  font-size: 14px;
  font-weight: bold;
  background-color: var(--smoke);
  border-radius: 12px;
  padding: 5px 14px;
  .text {
    padding-right: 4px;
    font-weight: 500;
  }
}
// Spin Loading AntDesign
// Spin Loading AntDesign

.ant-spin-nested-loading {
  background-color: #000000;
}

.ant-spin.ant-spin-sm.ant-spin-spinning {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 999999;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  .indicator {
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
    .loading-spin-icon {
      animation: rotation 1s infinite linear;
    }
  }
  .loading-text {
    font-weight: bold;
    color: var(--white);
    margin-top: 10px;
  }
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

.ant-spin-dot {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

// END Spin Loading AntDesign
// END Spin Loading AntDesign

// Wrap Modal AntDesign
// Wrap Modal AntDesign
.ant-modal-body {
  padding: 4px 24px 24px;
}
.wrap-modal.ant-modal.require-modal {
  .ant-modal-body {
    padding: 32px 24px 24px;
  }
}
.ant-modal-title {
  font-weight: bold;
}
.wrap-modal.ant-modal {
  width: 780px !important;
  overflow: hidden;
  border-radius: 8px;
  .ant-modal-header,
  .ant-modal-content {
    background-color: var(--neutrals);
  }
  .ant-modal-header {
    border-bottom: 1px solid var(--smoke);
  }
  .ant-modal-body,
  .ant-modal-title,
  .anticon {
    color: var(--white);
  }
}

.wrap-modal.ant-modal.show-ticket-modal {
  width: 480px !important;
}

.wrap-modal.ant-modal.require-modal {
  width: 420px !important;
  .text-notification {
    text-align: center;
  }
}

.show-ticket-modal {
  .show-ticket-modal-body {
    margin: auto;
    display: flex;
    justify-content: center;
  }
}
.list-number-choose {
  max-height: 245px;
  overflow: auto;
  padding: 14px 10px;
  width: 100%;
  .wrap-number-choose {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 6px auto 14px;
    &:last-child {
      margin: 6px auto 0;
    }
    .number-show {
      display: flex;
      justify-content: space-between;
      gap: 5px;
      flex: 6;
    }
    .number-count {
      // min-width: 70px;
      font-weight: bold;
      // text-align: right;
      margin-right: 16px;
      flex: 1;
    }
    .number-del {
      cursor: pointer;
      &:hover {
        opacity: 0.7;
      }
      .anticon-delete {
        padding: 10px;
        background: rgb(42, 75, 35);
        background: -moz-linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
        background: -webkit-linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
        background: linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#2a4b23",endColorstr="#152d0d",GradientType=1);
        border-radius: 6px;
        margin-left: 12px;
      }
      font-size: 22px;
    }
  }
}
// End Wrap Modal AntDesign
// End Wrap Modal AntDesign

// Input number AntDesign
// Input number AntDesign
.input-custom {
  .ant-input-number-handler-wrap {
    display: none;
  }
}
// End Input number AntDesign
// End Input number AntDesign

// from Ant Design
::selection {
  background: none !important;
}
.ant-input-number-status-error:not(.ant-input-number-disabled):not(.ant-input-number-borderless).ant-input-number,
.ant-input-number-status-error:not(.ant-input-number-disabled):not(
    .ant-input-number-borderless
  ).ant-input-number:hover {
  background: transparent !important;
  border-color: transparent !important;
}
.ant-input-number {
  box-shadow: none;
}
//endFrom Ant Design

.cl-base-gray-2 {
  color: var(--base-gray-2) !important;
}
.cl-smoke-gray {
  color: var(--smoke-gray) !important;
}
.cl-green-lott {
  color: var(--green-lott) !important;
}
.mt-8 {
  margin-top: 8px;
}
.mt-12 {
  margin-top: 12px;
}
.mt-16 {
  margin-top: 16px;
}
.mt-24 {
  margin-top: 24px;
}

.mb-8 {
  margin-bottom: 8px !important;
}
.mb-16 {
  margin-bottom: 16px;
}
.mb-24 {
  margin-bottom: 24px;
}

/* POPUP-CSS */
/* POPUP-CSS */
/* POPUP-CSS */
.wrap-popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgb(0 0 0 / 40%);
  z-index: 9999;
}

.wrap-popup .popup {
  color: var(--white);
  position: absolute;
  z-index: 99999;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--origin-black);
  background-color: var(--sub-black-2);
  width: 400px;
  border-radius: 10px;
  overflow: hidden;
  animation: popup 0.1s ease;
  padding: 0 0 24px;
}

.wrap-popup .popup.notification {
  background: var(--sub-black-2);
  border-radius: 8px;
  min-height: 120px;
  width: 450px;
  padding: 24px;
  text-align: center;
}

.popup.notification .text-notification {
  font-weight: 600;
  white-space: pre-line;
  font-size: 16px;
}

.popup.notification .text-notification strong {
  font-size: 15px;
}

.popup.notification .wrap-button {
  display: flex;
  justify-content: space-between;
  padding: 15px 0 0;
}

.button-notification {
  cursor: pointer;
  text-transform: capitalize;
  box-sizing: border-box;
  /* Auto layout */
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 10px 24px;
  /* BG Green */
  background: linear-gradient(180deg, rgba(84, 169, 67, 0) 0%, rgba(84, 169, 67, 0.2) 100%), rgba(84, 169, 67, 0.1);
  border-radius: 6px;
  border: 1px solid var(--greenlight);
  font-weight: 700;
  font-size: 13px;
  width: 160px;
  margin: 0 6px;
  transition: 0.4s all;
}
.popup.notification .title-notification {
  text-transform: uppercase;
  font-size: 20px;
}

.button-notification.button-gray {
  background: var(--space-gray);
  border: 1px solid var(--space-gray);
}
.button-notification:hover {
  opacity: 0.84;
}

.popup .popup-available-price {
  font-size: 15px;
}

@keyframes popup {
  0% {
    transform: translate(-50%, 0%);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}

.ball-animated-transform {
  position: relative;
  animation: ballAnimate 10s;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
  animation-iteration-count: infinite;
  animation-fill-mode: none;
  animation-play-state: running;
}
.ball-animated-travel {
  position: relative;
  animation: ballTravel 10s;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
  animation-iteration-count: infinite;
  animation-fill-mode: none;
  animation-play-state: running;
}

.wrap-popup .popup .icon-close {
  cursor: pointer;
  padding: 16px;
  position: absolute;
  right: 14px;
  top: 14px;
  z-index: inherit;
  background: rgb(0 0 0 / 60%);
  border-radius: 50%;
  width: 14px;
  height: 14px;
}

.wrap-popup .popup .icon-close img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.wrap-popup .popup .title {
  width: 80%;
  color: var(--greenlight);
  margin: 0 24px;
  font-size: 24px;
  font-weight: bold;
  letter-spacing: 0.1rem;
  padding-top: 14px;
  padding-bottom: 20px;
  position: relative;
  text-transform: capitalize;
}

.wrap-popup .popup .title .title-tooltip {
  font-size: 21px;
}

.wrap-popup .popup .title.yellow {
  color: var(--yellow);
}

.wrap-popup .popup .icon {
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
  background-color: var(--white);
}

.wrap-popup .popup .wrap-price {
  max-width: 180px;
  padding-left: 12px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: baseline;
}

.wrap-popup .popup .wrap-price .price {
  color: var(--base-gray);
  font-size: 12px;
}

.wrap-popup .popup .wrap-icon-name {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 0 24px 16px;
  border: 1px solid var(--base-gray);
  border-radius: 6px;
  padding: 11px 16px;
}

.wrap-popup .popup .icon-name {
  font-size: 14px;
  position: relative;
  color: var(--white);
  font-weight: bold;
  text-transform: capitalize;
  max-width: 180px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.wrap-popup .popup .available {
  margin: 24px 24px 4px;
  font-size: 14px;
  color: var(--base-gray);
}

.wrap-popup .popup .available span {
  font-size: 12px;
}

.wrap-popup .popup .wrap-input-number {
  position: relative;
  padding: 10px 0;
  width: auto;
  border-radius: 4px;
  font-size: 15px;
  font-weight: bold;
  outline: none;
  margin: -10px 24px 0;
}

// .wrap-popup .popup .input-number {
//   position: relative;
//   width: 100%;
//   border-radius: 4px;
//   font-size: 15px;
//   font-weight: bold;
//   outline: none;
// }

.wrap-popup .popup .value-percent {
  color: #1acab3;
  position: relative;
  text-align: center;
  padding-top: 4px;
  padding-bottom: 14px;
}
.wrap-popup .popup .wrap-white {
  z-index: 9;
  background-color: transparent;
  margin: 0 24px;
}

.wrap-popup .wrap-error-popup {
  min-height: 36px;
  position: relative;
  margin: 10px 0;
  background: transparent;
  border-radius: 4px;
  padding: 7px 7px 7px 30px;
}

.wrap-popup .wrap-error-popup.error {
  background: #482928;
}

.wrap-popup .wrap-error-popup .text-error {
  position: relative;
  margin: 0 auto;
  word-break: break-word;
  background-color: #482928;
  color: var(--white);
  // padding: 5px 5px 5px 30px;
}

.wrap-popup .wrap-error-popup .icon-error {
  position: absolute;
  top: 50%;
  left: 8px;
  z-index: 1;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  height: 22px;
  width: 22px;
}

.wrap-popup .popup .info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 12px;
  position: relative;
  color: var(--black);
  font-weight: bold;
  padding: 14px !important;
}
.wrap-popup .popup .info p {
  color: var(--black);
  /* width: 50%; */
}

.wrap-popup .popup .input-number {
  position: relative;
  padding: 10px 0;
  width: 100%;
  border: 3px solid transparent;
  border-radius: 4px;
  font-size: 15px;
  font-weight: bold;
  outline: none;
}

.wrap-popup .popup .input-number.input-number-error {
  border: 3px solid #e30505;
}

.wrap-popup .popup .input-number .ant-input-number-handler {
  display: none;
}
.wrap-popup .popup .ant-input-number-input {
  height: auto;
  width: 84%;
}

.wrap-popup .popup .slider-range {
  position: relative;
  width: auto;
  margin: 16px 24px 44px;
}

.wrap-popup .popup .slider-range .ant-slider-mark-text {
  font-size: 12px;
  display: none;
}
.wrap-popup .popup .slider-range .ant-slider-mark-text:last-child,
.wrap-popup .popup .slider-range .ant-slider-mark-text:first-child {
  display: block;
  color: var(--white);
  margin: 4px;
}

.wrap-popup .popup .wrap-nft-health {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
}
.wrap-popup .popup .wrap-nft-health .nft-health-title {
  font-size: 14px;
  color: var(--base-gray);
}
.wrap-popup .popup .wrap-nft-health .nft-health-number {
  font-size: 14px;
  font-weight: bold;
  color: var(--red);
}

.wrap-popup .popup .wrap-nft-health .nft-health-number.red {
  color: var(--red);
}

.wrap-popup .popup .wrap-nft-health .nft-health-number.orange {
  color: var(--orange);
}

.wrap-popup .popup .wrap-nft-health .nft-health-number.green {
  color: var(--textgreen);
}

.wrap-popup .popup .wrap-nft-health #slider-range .ant-slider-handle {
  z-index: 9;
}
.wrap-popup .wrap-warning-nft {
  max-width: 350px;
  display: flex;
  margin: 24px;
  margin-bottom: 0;
  justify-content: space-between;
  align-items: center;
  background: var(--red-brown);
  border-radius: 8px;
  padding: 8px;
}

.wrap-popup .wrap-warning-nft .txt {
  font-size: 14px;
  margin-left: 12px;
  letter-spacing: 0.5px;
}

.claim-banner-button {
  flex: 1;
  text-align: right;
  cursor: pointer;
  .claim-btn {
    border-radius: 8px;
    display: inline-block;
    color: white;
    padding: 18px 30px;
    font-weight: 500;
    transition: all 0.3s ease-in-out;
  }
  .claim-btn-active {
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.2) 0%, rgba(255, 255, 255, 0) 100%), rgb(35, 173, 47);
    &:hover {
      box-shadow: 0 0 11px rgba(35, 173, 47, 0.5);
    }
  }
  .claim-btn-disable {
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.2) 0%, rgba(255, 255, 255, 0) 100%), #6f6f6f;
  }
}

// Ant Notification
// Ant Notification
.ant-notification {
  z-index: 99999;
}

.ant-notification-notice {
  background: rgb(0 0 0 / 73%);
  color: #fff;
  border-radius: 10px;
  border: 1px solid var(--black-transparent);
}
.ant-notification-notice-with-icon .ant-notification-notice-message {
  color: #fff;
  font-weight: bold;
}
// end Ant Notification
// end Ant Notification

// Ant Select Option
// Ant Select Option
.ant-select-dropdown {
  background-color: var(--neutrals);
  .ant-select-item {
    p {
      color: var(--base-gray-2);
      font-weight: 400;
    }
  }
  .ant-select-item-option-active {
    background-color: transparent;
    p {
      color: var(--yellow);
    }
  }
}

// end Ant Select Option
// end Ant Select Option

// Ant Tooltip

.ant-tooltip-inner {
  padding: 20px;
  // min-width: 300px;
  backdrop-filter: blur(4px);
  .title-tooltip {
    font-size: 21px;
  }
}
// claim Modal css

.claim-modal-history {
  .ant-modal-header {
    border-bottom: transparent !important;
  }
  .ant-modal-body {
    margin-top: 15px;
  }
}

.ant-spin-container::after {
  background: #000;
}

.ant-spin-nested-loading > div > .ant-spin .ant-spin-text {
  top: 55%;
  text-shadow: unset;
}

.animate-toBottom {
  -webkit-animation-name: animatetoBottom;
  -webkit-animation-duration: 0.7s;
  animation-name: animatetoBottom;
  animation-duration: 0.7s;
  animation-fill-mode: backwards;
}
.stage {
  position: relative;
  width: 200px;
  height: 200px;
}

.bouncer-holder {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
}

.bouncer-holder {
  -webkit-animation: travel 15s ease-in infinite alternate;
  -o-animation: travel 15s ease-in infinite alternate;
  animation: travel 15s ease-in infinite alternate;
}

.bouncer {
  position: absolute;
  -webkit-animation: bounce 20.5s infinite;
  -o-animation: bounce 20.5s infinite;
  animation: bounce 20.5s infinite;
}

.clock-animated-transform-scale {
  position: relative;
  animation: pulse-clock 3s infinite;
  border-radius: 50%;
}
.ball-animated-transform-scale {
  position: relative;
  animation: pulse-black 3s infinite;
  border-radius: 50%;
}
@keyframes pulse-clock {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.05);
  }

  70% {
    transform: scale(1.2);
    box-shadow: 0 0 0 50px rgba(255, 255, 255, 0);
  }

  100% {
    transform: scale(0.95);
  }
}
@keyframes pulse-black {
  0% {
    transform: scale(0.95);
  }

  70% {
    transform: scale(1);
  }

  100% {
    transform: scale(0.95);
  }
}
.wrap-previous-lottery .mid {
  overflow: hidden;
}
.wrap-previous-lottery .mid::after {
  background: rgba(0, 0, 0, 0) linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%)
    repeat scroll 0 0;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  right: -475%;
  top: 0;
  transform: skewX(-35deg);
  width: 15%;
  z-index: 2;
}
.mid {
  &:hover {
    cursor: pointer;
    &:after {
      animation: 1s ease 0s 1 running fixedAnim;
      -webkit-animation: 1s ease 0s 1 running fixedAnim;
      -moz-animation: 1s ease 0s 1 running fixedAnim;
    }
  }
}
.wrap-previous-lottery .mid::after {
  animation: 7s ease 0s infinite running fixedAnim;
  -webkit-animation: 7s ease 0s infinite running fixedAnim;
  -moz-animation: 7s ease 0s infinite running fixedAnim;
}

.cirle-rotate-custom {
  animation: circleRotate 5s infinite linear;
}

@keyframes circleRotate {
  from {
    transform: rotateZ(0deg);
  }
  to {
    transform: rotateZ(360deg);
  }
}

@-webkit-keyframes fixedAnim {
  0% {
    right: 500%;
  }
  125% {
    right: 0;
  }
}

@-moz-keyframes fixedAnim {
  0% {
    right: 500%;
  }
  125% {
    right: 0;
  }
}

@keyframes fixedAnim {
  0% {
    right: 500%;
  }
  125% {
    right: 0;
  }
}

@keyframes elementScale {
  0% {
    transform: scale(1) rotate(10deg);
  }
  15% {
    transform: scale(1.05) rotate(15deg);
  }
  30% {
    transform: scale(1.07) rotate(20deg);
  }
  45% {
    transform: scale(1.1) rotate(25deg);
  }
  60% {
    transform: scale(1.07) rotate(20deg);
  }
  75% {
    transform: scale(1.05) rotate(15deg);
  }
  100% {
    transform: scale(1) rotate(10deg);
  }
}
@-webkit-keyframes travel {
  from {
    left: 0;
  }
  to {
    left: calc(100% - 30px);
  }
}

@keyframes travel {
  from {
    left: 0;
  }
  to {
    left: calc(100% - 30px);
  }
}

@-webkit-keyframes bounce {
  from,
  to {
    bottom: 0;
    -webkit-animation-timing-function: ease-out;
  }
  50% {
    bottom: 100px;
    -webkit-animation-timing-function: ease-in;
  }
}
@keyframes bounce {
  from,
  to {
    bottom: 0;
    animation-timing-function: ease-out;
  }
  50% {
    bottom: calc(100% - 100px);
    animation-timing-function: ease-in;
  }
}

@-webkit-keyframes ballTravel {
  from {
    left: 0;
  }
  to {
    left: calc(100% - 30px);
  }
}

@keyframes ballTravel {
  from {
    left: 0;
  }
  to {
    left: calc(100% - 30px);
  }
}

@-webkit-keyframes animatetoBottom {
  from {
    top: -75px;
    opacity: 0;
  }
  to {
    top: 0px;
    opacity: 1;
  }
}

@keyframes animatetoBottom {
  from {
    top: -75px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@keyframes ballAnimate {
  0% {
    transform: translate(0%, 0%) rotate(0deg);
  }
  25% {
    transform: translate(-50%, 50%) rotate(360deg);
  }
  75% {
    transform: translate(-25%, 25%) rotate(180deg);
  }
  100% {
    transform: translate(0%, 0%) rotate(0deg);
  }
}
@-webkit-keyframes ballAnimate {
  0% {
    transform: translate(0%, 0%) rotate(0deg);
  }
  25% {
    transform: translate(-50%, 50%) rotate(360deg);
  }
  75% {
    transform: translate(-25%, 25%) rotate(180deg);
  }
  100% {
    transform: translate(0%, 0%) rotate(0deg);
  }
}

::-webkit-scrollbar {
  width: 0.4em !important;
}

::-webkit-scrollbar-thumb {
  background-color: var(--green-lott-opacity-3) !important;
  border-radius: 10px;
}

.btn-label {
  cursor: pointer;
  display: block;
  color: var(--white);
  font-weight: 500;
  max-width: 125px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.btn-connect {
  display: block;
  padding: 8px 15px;
  border-radius: 6px;
  border: 1px solid var(--greenlight);
  background: linear-gradient(180deg, rgba(84, 169, 67, 0) 0%, rgba(84, 169, 67, 0.2) 100%), rgba(84, 169, 67, 0.1);
}
.menu-btn.button-style.menus {
  position: relative;
  padding: 15px 0px;
}
.connect-extend {
  position: absolute;
  bottom: -63px;
  display: none;
  width: 150px;
}
.menu-btn.button-style.menus:hover .connect-extend {
  display: block;
}
.sign-out {
  font-weight: 500;
  transition: all 0.3s ease;
  cursor: pointer;
  padding: 4px 0;
}
.sign-out:hover {
  color: var(--textgreen);
}
.line-btn {
  height: 1px;
  width: 100%;
  margin: 2px 0;
  background-color: var(--sub-greenlight);
}
.ant-tooltip-inner {
  border-radius: 10px;
}
.padd-10 {
  padding: 10px;
}
.custom-wallet-what {
  font-size: 14px;
  font-weight: normal;
  padding-left: 15px;
  animation: textTransform 0.5s;
  position: relative;
}

@keyframes textTransform {
  from {
    bottom: -20px;
    opacity: 0;
  }
  to {
    bottom: 0px;
    opacity: 1;
  }
}
